<?xml version="1.0" encoding="UTF-8"?>
<quiz>
  <question type="stack">
    <name>
      <text>27.2.2.2 Order of Integration Task</text>
    </name>
    <questiontext format="html">
      <text><![CDATA[<p>The double integral \(I = \displaystyle\int_0^1 \displaystyle\int_x^1 e^{y^2}\,\mathrm{d}y \, \mathrm{d}x \) involves an inner integral which is impossible to integrate. </p>
<p>Show that if the order of integration is reversed, the integral can be expressed as \(I = \displaystyle\int_0^1 \displaystyle\int_0^y e^{y^2} \,\mathrm{d}x \, \mathrm{d}y\). Hence evaluate the integral \(I\). </p>
<p>\( I = \) [[input:ans1]] [[validation:ans1]]</p>
<p>[Note: The mathematical constant \(e\) can be typed as the letter e.]</p>]]></text>
    </questiontext>
    <generalfeedback format="html">
      <text><![CDATA[The following diagram shows the changing description of the boundary as the order of integration is changed.&nbsp;<p>&nbsp;<img src="@@PLUGINFILE@@/27-2-fig-changeorder.svg" alt="Diagram showing the changing order of integration." width="619" height="147" class="img-fluid atto_image_button_text-bottom"></p><p>&nbsp;Therefore we have</p><p>\[\begin{align}
I = \displaystyle\int_0^1 \displaystyle\int_x^1 e^{y^2}\, \mathrm{d}y \, \mathrm{d}x 
&amp;=\int_0^1\int_0^y e^{y^2}\, \mathrm{d}x \, \mathrm{d}y \\
&amp;= \int_0^1\left[\phantom{\dfrac{1}{1}}\!\!\!x e^{y^2}\right]_0^y\, \mathrm{d}y \\
&amp;= \int_0^1y e^{y^2}\, \mathrm{d}y=\left[\dfrac{1}{2} e^{y^2}\right]_0^1=\dfrac{1}{2}(e-1).
\end{align}\]</p>]]></text>
<file name="27-2-fig-changeorder.svg" path="/" encoding="base64">[encoded data, 27420 characters]</file>
    </generalfeedback>
    <defaultgrade>1</defaultgrade>
    <penalty>0.1</penalty>
    <hidden>0</hidden>
    <idnumber/>
    <stackversion>
      <text>2025102100</text>
    </stackversion>
    <questionvariables>
      <text>e: %e;
ta1:(1/2)*(e - 1);</text>
    </questionvariables>
    <specificfeedback format="html">
      <text>[[feedback:prt1]]</text>
    </specificfeedback>
    <questionnote format="html">
      <text>\(I={@ta1@}\)</text>
    </questionnote>
    <questiondescription format="html">
      <text/>
    </questiondescription>
    <questionsimplify>1</questionsimplify>
    <assumepositive>0</assumepositive>
    <assumereal>0</assumereal>
    <prtcorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:green;"><i class="fa fa-check"></i></span> Correct answer, well done.]]></text>
    </prtcorrect>
    <prtpartiallycorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:orange;"><i class="fa fa-adjust"></i></span> Your answer is partially correct.]]></text>
    </prtpartiallycorrect>
    <prtincorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:red;"><i class="fa fa-times"></i></span> Incorrect answer.]]></text>
    </prtincorrect>
    <decimals>.</decimals>
    <scientificnotation>*10</scientificnotation>
    <multiplicationsign>dot</multiplicationsign>
    <sqrtsign>1</sqrtsign>
    <complexno>i</complexno>
    <inversetrig>cos-1</inversetrig>
    <logicsymbol>lang</logicsymbol>
    <matrixparens>[</matrixparens>
    <isbroken>0</isbroken>
    <variantsselectionseed/>
    <input>
      <name>ans1</name>
      <type>algebraic</type>
      <tans>ta1</tans>
      <boxsize>7</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options>hideanswer</options>
    </input>
    <prt>
      <name>prt1</name>
      <value>1.0000000</value>
      <autosimplify>1</autosimplify>
      <feedbackstyle>1</feedbackstyle>
      <feedbackvariables>
        <text/>
      </feedbackvariables>
      <node>
        <name>0</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans1</sans>
        <tans>ta1</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>=</truescoremode>
        <truescore>1</truescore>
        <truepenalty/>
        <truenextnode>-1</truenextnode>
        <trueanswernote>prt1-1-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>=</falsescoremode>
        <falsescore>0</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt1-1-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
    </prt>
    <qtest>
      <testcase>1</testcase>
      <description>Test case assuming the teacher's input gets full marks.</description>
      <testinput>
        <name>ans1</name>
        <value>ta1</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt1-1-T</expectedanswernote>
      </expected>
    </qtest>
    <qtest>
      <testcase>2</testcase>
      <description/>
      <testinput>
        <name>ans1</name>
        <value>ev(ta1+1, simp)</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>0.0000000</expectedscore>
        <expectedpenalty/>
        <expectedanswernote>prt1-1-F</expectedanswernote>
      </expected>
    </qtest>
  </question>
</quiz>
